Bug 868283 - mod_cache regression in httpd 2.2.3-65: non-cacheable 304 responses serve bad data
Summary: mod_cache regression in httpd 2.2.3-65: non-cacheable 304 responses serve bad...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd
Version: 6.4
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact: Zbysek MRAZ
URL:
Whiteboard:
Depends On: 845532
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-19 12:13 UTC by Jan Kaluža
Modified: 2013-07-03 13:17 UTC (History)
5 users (show)

Fixed In Version: httpd-2.2.15-22.el6
Doc Type: Bug Fix
Doc Text:
Cause: An attempt is made to freshen a stale entry in the cache, and the 304 Not Modified response from the backend contains no ETag, no Last-Modified, and no Cache-Control header. Consequence: Because the 304 response from backend is uncacheable, httpd sends the cached response back, but without the original headers. This can lead to situation when for example Content-Type of cached response is not sent and therefore lost. Fix: Headers of cached original response are sent in the response. Result: httpd returns proper headers in this situation.
Clone Of: 845532
Environment:
Last Closed: 2013-02-21 10:18:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0512 normal SHIPPED_LIVE Low: httpd security, bug fix, and enhancement update 2013-02-20 21:29:30 UTC

Comment 7 errata-xmlrpc 2013-02-21 10:18:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0512.html


Note You need to log in before you can comment on or make changes to this bug.